Bug 115170 - [Maintainer-update] multimedia/mplayer
[Maintainer-update] multimedia/mplayer
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Sergey Matveychuk
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-03 15:20 UTC by riggs
Modified: 2007-08-07 13:51 UTC (History)
0 users

See Also:


Attachments
file.diff (36.56 KB, patch)
2007-08-03 15:20 UTC, riggs
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description riggs 2007-08-03 15:20:00 UTC
The attached patch applies substantial changes to the mplayer port:
o Split up mplayer into mplayer and mencoder (latter is a new port)
o mplayer is now pkg_add'able as it no longer depends on restricted ports
o Remove compatibility tweaks for FreeBSD-4 as it is no longer supported
o Supercedes to my knowledge all open PRs for mplayer

I did not receive feedback from testers, so some hiccups must be expected.

Fix: Patch attached with submission follows:
Comment 1 Gabor Kovesdan freebsd_committer 2007-08-03 15:29:37 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

Ports PR.
Comment 2 Sergey Matveychuk freebsd_committer 2007-08-04 15:48:33 UTC
Have you check the patch?
A new Makefile includes bsd.port.pre.mk twice.

-- 
Dixi.
Sem.
Comment 3 Sergey Matveychuk freebsd_committer 2007-08-04 15:50:58 UTC
State Changed
From-To: open->feedback

Ask for maintainer fix.
Comment 4 Sergey Matveychuk freebsd_committer 2007-08-04 15:51:49 UTC
Oh, you glue patches for two ports?
-- 
Dixi.
Sem.
Comment 5 Sergey Matveychuk freebsd_committer 2007-08-04 19:12:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sem

Take it.
Comment 6 dfilter freebsd_committer 2007-08-05 22:27:36 UTC
sem         2007-08-05 21:27:30 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/mplayer   Makefile pkg-plist 
  Added files:
    multimedia/mplayer   Makefile.options Makefile.shared 
    multimedia/mplayer/files patch-libdha-pci.c 
  Log:
  - Split the port into mplayer and mencoder
  - mplayer is now pkg_add'able as it no longer depends on restricted ports
  - Remove compatibility tweaks for FreeBSD-4 as it is no longer supported
  - A patch to correct handle amd64 in libdha-pci.c
  
  PR:             ports/115170
  Submitted by:   maintainer
  
  Revision  Changes    Path
  1.166     +35 -468   ports/multimedia/mplayer/Makefile
  1.1       +285 -0    ports/multimedia/mplayer/Makefile.options (new)
  1.1       +46 -0     ports/multimedia/mplayer/Makefile.shared (new)
  1.1       +9 -0      ports/multimedia/mplayer/files/patch-libdha-pci.c (new)
  1.23      +0 -14     ports/multimedia/mplayer/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 dfilter freebsd_committer 2007-08-07 13:42:53 UTC
sem         2007-08-07 12:42:44 UTC

  FreeBSD ports repository

  Modified files:
    multimedia           Makefile 
  Added files:
    multimedia/mencoder  Makefile distinfo pkg-descr pkg-plist 
  Log:
  - Add port multimedia/mencoder as slave to mplayer port.
  
  PR:             ports/115170
  Submitted by:   Thomas E. Zander, mplayer maintainer
  
  Revision  Changes    Path
  1.238     +1 -0      ports/multimedia/Makefile
  1.1       +136 -0    ports/multimedia/mencoder/Makefile (new)
  1.1       +6 -0      ports/multimedia/mencoder/distinfo (new)
  1.1       +8 -0      ports/multimedia/mencoder/pkg-descr (new)
  1.1       +15 -0     ports/multimedia/mencoder/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Sergey Matveychuk freebsd_committer 2007-08-07 13:51:21 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!